Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: pulseaudio

Interfaces

### Description:

Pulseaudio network sound server.

### Interfaces:

pulseaudio_dbus_chat( domain )

##### Summary

Send and receive messages from pulseaudio over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

pulseaudio_domtrans( domain )

##### Summary

Execute a domain transition to run pulseaudio.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

pulseaudio_dontaudit_exec( domain )

##### Summary

Do not audit attempts to execute pulseaudio.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

pulseaudio_exec( domain )

##### Summary

Execute pulseaudio in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

pulseaudio_home_filetrans_pulseaudio_home( domain , object_class , name )

##### Summary

Create objects in user home directories with the pulseaudio home type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

pulseaudio_manage_home( domain )

##### Summary

Create, read, write, and delete pulseaudio home content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

pulseaudio_manage_home_files( domain )

##### Summary

Create, read, write, and delete pulseaudio home content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

pulseaudio_read_home( domain )

##### Summary

Read pulseaudio home content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

pulseaudio_read_home_files( domain )

##### Summary

Read pulseaudio home content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

pulseaudio_role( role , domain )

##### Summary

Role access for pulseaudio.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | User domain for the role.

pulseaudio_run( domain , role )

##### Summary

Execute pulseaudio in the pulseaudio domain, and allow the specified role the pulseaudio domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

pulseaudio_rw_home_files( domain )

##### Summary

Read and write Pulse Audio files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

pulseaudio_setattr_home_dir( domain )

##### Summary

Set attributes of pulseaudio home directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

pulseaudio_signull( domain )

##### Summary

Send null signals to pulseaudio. processes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

pulseaudio_stream_connect( domain )

##### Summary

Connect to pulseaudio with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

pulseaudio_tmpfs_content( file_type )

##### Summary

Make the specified tmpfs file type pulseaudio tmpfs content.

##### Parameters

Parameter: | Description:
--- | ---
file_type | File type to make pulseaudio tmpfs content.

Return